//
//  LoginViewController.h
//  SDKTestApp
//
//  Created by Vidyalaxmi V Shenoy on 25/08/15.
//  Copyright (c) 2015 Robosoft. All rights reserved.
//

#import <UIKit/UIKit.h>

typedef NS_OPTIONS(NSInteger, LoginOptionType)
{
    LoginOptionTypeDefault,
    LoginOptionTypeTeamchatLoginWithPrefilledEmail,
    LoginOptionTypeTeamChatLogin
};

@protocol LoginViewControllerDelegate <NSObject>

- (void)showLoginScreenForLoginOption:(LoginOptionType)loginOptionType email:(NSString *)email userID:(NSString *)userID authToken:(NSString *)authToken;

@end

@interface LoginViewController : UIViewController

@property (nonatomic, assign) LoginOptionType logionOptionType;
@property (nonatomic, assign) id<LoginViewControllerDelegate> delegate;

@end
