//
//  AddCustomContactsTableViewController.h
//  SDKTestApp
//
//  Created by Vidyalaxmi V Shenoy on 26/08/15.
//  Copyright (c) 2015 Robosoft. All rights reserved.
//

#import <UIKit/UIKit.h>

typedef NS_ENUM(NSInteger, CustomContactViewType)
{
    CustomContactViewTypeDefault,
    CustomContactViewTypeForAddingContactsToGroup
};

@protocol CustomContactsViewControllerDelegate <NSObject>

- (void)customContacts:(NSArray *)customContacts;

@end

@interface CustomContactsViewController : UIViewController

@property (nonatomic, assign) CustomContactViewType customContactViewType;

- (void)configureWithCustomContacts:(NSArray *)customContacts delegate:(id<CustomContactsViewControllerDelegate>)customContactDelegate;

@end
